ghci-8.0.2: The library supporting GHC's interactive interpreter

Safe Haskell | None
Language | Haskell2010

GHCi.TH

Description

Running TH splices

Synopsis

- startTH :: IO (RemoteRef (IORef QState))
- runModFinalizerRefs :: Pipe -> RemoteRef (IORef QState) -> [RemoteRef (Q ())] -> IO ()
- runTH :: Pipe -> RemoteRef (IORef QState) -> HValueRef -> THResultType -> Maybe Loc -> IO ByteString
- data GHCiQException = GHCiQException QState String

# Documentation

startTH :: IO (RemoteRef (IORef QState)) Source #

runModFinalizerRefs :: Pipe -> RemoteRef (IORef QState) -> [RemoteRef (Q ())] -> IO () Source #

Runs the mod finalizers.

The references must be created on the caller process.

runTH :: Pipe -> RemoteRef (IORef QState) -> HValueRef -> THResultType -> Maybe Loc -> IO ByteString Source #

data GHCiQException Source #

Constructors

GHCiQException QState String |

Instances

Show GHCiQException # |
Methods showsPrec :: Int -> GHCiQException -> ShowS Source # show :: GHCiQException -> String Source # showList :: [GHCiQException] -> ShowS Source #
Exception GHCiQException # |
Methods toException :: GHCiQException -> SomeException Source # fromException :: SomeException -> Maybe GHCiQException Source # displayException :: GHCiQException -> String Source #